<?php

namespace CouponsPlus\App\Coupon\Tree\Branches;

use CouponsPlus\App\Coupon\Tree\Abilities\Branch;
use CouponsPlus\App\Coupon\Tree\Abilities\Node;
use CouponsPlus\Original\Characters\StringManager;
use CouponsPlus\Original\Collections\Collection;

/**
 * I dont think this is actually used
 */
class NodesBranch implements Branch
{
    private $nodes;

    const TYPE = 'nodes';

    public function __construct(Node ...$nodes) 
    {
        $this->nodes = new Collection($nodes);
    }
    
    public function getChildren(): Collection
    {
        return $this->nodes;
    } 

    public function getType(): StringManager
    {
        return new StringManager(static::TYPE);            
    } 
}